SoFieldList(3IV)

NAME
SoFieldList — maintains a list of pointers to fields

INHERITS FROM
SbPList > SoFieldList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoFieldList:

SoFieldList()

SoFieldList(int size)

SoFieldList(const SoFieldList &l)

~SoFieldList()
void
append(SoField *ptr)
void
insert(SoField *ptr, int addBefore)
SoField *
operator [](int i) const
void
set(int i, SoField *field)

Methods from class SbPList:

int
find(const void *ptr) const
void
remove(int which)
int
getLength() const
void
truncate(int start)
void
copy(const SbPList &pl)
SbPList &
operator =(const SbPList &pl)
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SbPList holds lists of pointers to instances of classes derived from SoField.

METHODS

SoFieldList()
Constructor.

SoFieldList(int size)
Constructor that pre-allocates storage for size pointers.

SoFieldList(const SoFieldList &l)
Constructor that copies the contents of another list.

~SoFieldList()
Destructor.

void
append(SoField *ptr)
Adds a pointer to the end of the list.

void
insert(SoField *ptr, int addBefore)
Inserts given pointer in list before pointer with given index.

SoField *
operator [](int i) const
Accesses an element of a list.

void
set(int i, SoField *field)
Sets an element of a list.

SEE ALSO
SoField